<?php

require("list.php");

try {
    $pdo = new PDO ("mysql:dbname=$dbname;host=$dbhost", $dbuser, $dbpw);
} catch (PDOException $e) {
    die ( "Es ist ein Fehler aufgetreten!" );
}

if ($stmt = $pdo->query("SELECT * FROM teilnehmer")) {

    $data = $stmt->fetchAll();

    echo "<pre>", print_r($data), "</pre>";

}

echo "<hr>";

echo "<p>Betroffene Datensätze: " .$stmt->rowCount() .".</p>";

echo "<p>Beroffene Spalten: " .$stmt->columnCount() .".</p>";

?>